Subject: Re: bug#25765: [PATCH] Avoid errors when flyspell-generic-check-word-predicate is a lambda.

From: Hong Xu <[email-masked]>
Date: Fri, 17 Feb 2017 19:27:50 -0800

On 02/17/2017 06:56 PM, [email-masked] wrote:
> tags 25765 fixed
> close 25765 26.1
> # With this patch, new checks can be added via add-function
> close 3425 26.1
> quit
> 
> Hong Xu <[email-masked]> writes:
> 
>> On 2017-02-16 Thu 13:36 GMT-0800, Noam Postavsky <[email-masked]> wrote:
>>
>>> On Thu, Feb 16, 2017 at 4:30 PM, Hong Xu <[email-masked]> wrote:
>>>
>>> I don't think that's the right fix, rather the fboundp should be
>>> replaced with functionp.
>>
>> I agree. I've attached a new version of this patch.
>>
> 
> Thanks, pushed to master [1: a83b66923c].
> 
> 1: 2017-02-17 21:50:46 -0500 a83b66923cfb71bb477d7a1f426f7426f91917da
>   Avoid errors when flyspell-generic-check-word-predicate is a lambda.
> 

Is it possible to back port this fix to the emacs-25 branch? Looks like
this bug was introduced in 6d11f6ed9a1afa6f3903fffeb58159beedeb1d14
which is new in Emacs 25.